What 3DS version does the Spider exploit work up to?

Discussion in '3DS - Homebrew Development and Emulators' started by ProNiteBite, Aug 29, 2015.

  1. ProNiteBite
    OP

    ProNiteBite Member

    Newcomer
    33
    2
    Jan 27, 2015
    United States
    What 3DS version does the Spider exploit work up to?
     
  2. WeedZ

    WeedZ Possibly an enlightened being

    Member
    GBAtemp Patron
    WeedZ is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,862
    5,665
    Jan 13, 2015
    United States
    9.2
     
  3. zoogie

    zoogie simple pimp tool

    Member
    6,343
    8,037
    Nov 30, 2014
    United States
    bzzt wrong
    9.5.0.22
     
    marc00077 likes this.
  4. WeedZ

    WeedZ Possibly an enlightened being

    Member
    GBAtemp Patron
    WeedZ is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,862
    5,665
    Jan 13, 2015
    United States
    Well, 'just' spider, yeah. But what can you do with it past 9.2?
     
  5. zoogie

    zoogie simple pimp tool

    Member
    6,343
    8,037
    Nov 30, 2014
    United States
    Ram hax like ARcode and VC injection. I think.
     
    marc00077 and WeedZ like this.
  6. ProNiteBite
    OP

    ProNiteBite Member

    Newcomer
    33
    2
    Jan 27, 2015
    United States
    Awesome, thanks!
     
  7. marc00077

    marc00077 GBAtemp Regular

    Member
    125
    35
    May 21, 2014
    Netherlands Antilles
    Catalunya
    It's a bit more complicated than this, the spider version is displayed at the end of the firm version so if youre on 9.5.0-22 your spider version is the 22. Spider as entrypoint was patched at version 23 (if I'm not mistaken). If you're on 9.4 or less you'll have for sure a compatible spider version. Things get tricky on 9.5 because I think some 9.5 were bundled with spider version 23 (wich patched it) so beign on 9.5 doesn't always mean you have a exploitable spider version. Also if you update from a cartdrige spider won't be updated so if you could update to 9.9 from 9.3 for example you would be on last version with the spider exploit (I don't know if hacks would need to be ported though).

    If you're above 9.2 you won't be able to use rxtools launcher or things like this but you'll be able to use things that mess with ram (what is great), take a look at this post: http://gbatemp.net/threads/spider-tool-help.396113/#post-5642361 There are some more specific spider hax for games like MK7, pokemon...

    In a nutshell: spiderhax works up to ver. 22

    This is probably the most complete post I've ever written xD Hope it'll be usefull